| Home | Libraries | People | FAQ | More

## Function template next_permutation

boost::compute::next_permutation — Permutation generating algorithm.

## Synopsis

    // In header: <boost/compute/algorithm/next_permutation.hpp>

    template<typename InputIterator>
      bool next_permutation(InputIterator first, InputIterator last,
                            command_queue & queue = system::default_queue());

## Description

Transforms the range [first, last) into the next permutation from the set of all permutations arranged in lexicographic order

Parameters:

`first` | Iterator pointing to start of range
`last` | Iterator pointing to end of range
`queue` | Queue on which to execute

Returns: | Boolean value signifying if the last permutation was crossed and the range was reset